org
org:read
user
user:read
List bookings
OAuth scopes
one of:
- org
- org:read
- user
- user:read
Query Parameters
- Type: stringafter
Cursor for forward pagination (next page)
- Type: stringbefore
Cursor for backward pagination (previous page)
- Type: integerlimitmin:1max:100
Number of bookings to return (1-100)
- Type: enumstate
Filter by booking state(s)
- Type: enum
Current state of the booking
values- created
Booking has been created but not yet dispatched
- dispatched
Booking has been assigned to luggers
- cancelled
Booking was cancelled
- completed
Booking has been successfully completed
- created
Responses
- application/vnd.lugg+json;version=2
- application/vnd.lugg+json;version=2
- application/vnd.lugg+json;version=2
Request Example for get/bookings
curl 'https://api.lugg.com/bookings?limit=20' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"hid": "67GH8J",
"created_at": "2026-10-31T17:31:26.417Z",
"updated_at": "2026-10-31T17:31:26.417Z",
"product": "pickup",
"origin": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "IKEA Emeryville",
"address2": "APT C",
"coordinates": [
125.6,
10.1
],
"address": {
"number": "78",
"street": "1st St.",
"street2": "APT C",
"locality": "San Francisco",
"region": "CA",
"postal_code": "94131"
},
"location_type": "street_address"
},
"destination": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "IKEA Emeryville",
"address2": "APT C",
"coordinates": [
125.6,
10.1
],
"address": {
"number": "78",
"street": "1st St.",
"street2": "APT C",
"locality": "San Francisco",
"region": "CA",
"postal_code": "94131"
},
"location_type": "street_address"
},
"route": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"position": 0,
"location": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "IKEA Emeryville",
"address2": "APT C",
"coordinates": [
125.6,
10.1
],
"address": {
"number": "78",
"street": "1st St.",
"street2": "APT C",
"locality": "San Francisco",
"region": "CA",
"postal_code": "94131"
},
"location_type": "street_address"
},
"instructions": null,
"address2": null,
"floor": null,
"elevator": null
}
],
"arrival_window": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"available": true,
"ondemand": true,
"start_at": null,
"end_at": null,
"label": "2:00 PM - 4:00 PM"
},
"arrival_window_ref": "origin",
"description": null,
"order_number": "ORD-12345",
"tip": 0,
"customer_notifications_enabled": true,
"photo_urls": [
"https://example.com"
],
"state": "created",
"dispatch_state": "origin_pending",
"share_url": "https://example.com",
"customer": {
"name": "John Doe",
"email": "john@example.com",
"phone_number": "+14155551234"
},
"contacts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Store Team",
"phone_number": "+14155550100",
"email": "store@example.com",
"notification_scope": "all",
"stop_positions": [
0
],
"stops": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"position": 0
}
]
}
],
"crew": null,
"dispatch": {
"state": "stop_pending",
"route_position": 0,
"route_stop_id": null,
"events": [
{
"state": "stop_pending",
"route_position": 0,
"route_stop_id": null,
"triggered_at": "2026-10-31T17:31:26.417Z",
"photo_urls": [
"https://example.com"
]
}
]
},
"quote": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"origin": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "IKEA Emeryville",
"address2": "APT C",
"coordinates": [
125.6,
10.1
],
"address": {
"number": "78",
"street": "1st St.",
"street2": "APT C",
"locality": "San Francisco",
"region": "CA",
"postal_code": "94131"
},
"location_type": "street_address"
},
"destination": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "IKEA Emeryville",
"address2": "APT C",
"coordinates": [
125.6,
10.1
],
"address": {
"number": "78",
"street": "1st St.",
"street2": "APT C",
"locality": "San Francisco",
"region": "CA",
"postal_code": "94131"
},
"location_type": "street_address"
},
"route": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"position": 0,
"location": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "IKEA Emeryville",
"address2": "APT C",
"coordinates": [
125.6,
10.1
],
"address": {
"number": "78",
"street": "1st St.",
"street2": "APT C",
"locality": "San Francisco",
"region": "CA",
"postal_code": "94131"
},
"location_type": "street_address"
},
"instructions": null,
"address2": null,
"floor": null,
"elevator": null
}
],
"travel_duration": 1,
"travel_distance": 1,
"product": "pickup",
"fare_structure": {
"base": 1,
"per_mile": 1,
"included_miles": 0,
"per_minute_labor": 1,
"per_minute_travel": 1,
"per_stop": 1
},
"fare_estimate": [
{
"total": 1,
"base": 1,
"labor": 1,
"travel_distance": 1,
"billed_miles": 0,
"travel_duration": 1,
"stops": 1,
"adjustments": [
{
"kind": "refund",
"name": "string",
"amount": 1,
"created_at": "2026-10-31T17:31:26.417Z"
}
]
}
],
"addons": [
{
"slug": "assembly",
"name": "Assembly",
"description": "Our crew will assemble your furniture at the destination.",
"amount": 1500
}
],
"created_at": "2026-10-31T17:31:26.417Z",
"updated_at": "2026-10-31T17:31:26.417Z"
},
"fare": {
"total": 1,
"base": 1,
"labor": 1,
"travel_distance": 1,
"billed_miles": 0,
"travel_duration": 1,
"stops": 1,
"adjustments": [
{
"kind": "refund",
"name": "string",
"amount": 1,
"created_at": "2026-10-31T17:31:26.417Z"
}
]
},
"metadata": null
}
],
"next": "https://api.lugg.com/bookings?after=eyJ0aW1lc3RhbXAiOi...",
"previous": "https://api.lugg.com/bookings?before=eyJ0aW1lc3RhbXAiOi..."
}